Patchwork [01/32] xcb-util: add dependency on libxcb

login
register
mail settings
Submitter Thomas Petazzoni
Date March 7, 2013, 8:18 p.m.
Message ID <1362687540-19440-2-git-send-email-thomas.petazzoni@free-electrons.com>
Download mbox | patch
Permalink /patch/225905/
State Accepted
Commit 70f99d80ef87b1de02fe0f4353128dc9f5101409
Headers show

Comments

Thomas Petazzoni - March 7, 2013, 8:18 p.m.
The xcb-util lacks a dependency on libxcb. Without this dependency, it
fails to build with:

checking for XCB... no
configure: error: in `/home/thomas/projets/buildroot/output/build/xcb-util-0.3.9':
configure: error: The pkg-config script could not be found or is too old.  Make sure it
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.

Alternatively, you may set the environment variables XCB_CFLAGS
and XCB_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
---
 package/x11r7/xcb-util/Config.in   |    1 +
 package/x11r7/xcb-util/xcb-util.mk |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)
Peter Korsgaard - March 9, 2013, 11:11 a.m.
>>>>> "Thomas" == Thomas Petazzoni <thomas.petazzoni@free-electrons.com> writes:

 Thomas> The xcb-util lacks a dependency on libxcb. Without this dependency, it
 Thomas> fails to build with:

 Thomas> checking for XCB... no

 Thomas> configure: error: in
 Thomas> `/home/thomas/projets/buildroot/output/build/xcb-util-0.3.9':
 Thomas> configure: error: The pkg-config script could not be found or
 Thomas> is too old.  Make sure it is in your PATH or set the PKG_CONFIG
 Thomas> environment variable to the full path to pkg-config.

Committed, thanks.

Patch

diff --git a/package/x11r7/xcb-util/Config.in b/package/x11r7/xcb-util/Config.in
index cf79327..dd77b1d 100644
--- a/package/x11r7/xcb-util/Config.in
+++ b/package/x11r7/xcb-util/Config.in
@@ -1,5 +1,6 @@ 
 config BR2_PACKAGE_XCB_UTIL
 	bool "xcb-util"
+	depends on BR2_PACKAGE_LIBXCB
 	help
 	  Libraries which sit on top of libxcb, the core X protocol library,
 	  and some of the extension libraries.
diff --git a/package/x11r7/xcb-util/xcb-util.mk b/package/x11r7/xcb-util/xcb-util.mk
index fcf99ea..a1948e1 100644
--- a/package/x11r7/xcb-util/xcb-util.mk
+++ b/package/x11r7/xcb-util/xcb-util.mk
@@ -7,7 +7,7 @@  XCB_UTIL_VERSION = 0.3.9
 XCB_UTIL_SOURCE = xcb-util-$(XCB_UTIL_VERSION).tar.bz2
 XCB_UTIL_SITE = http://xcb.freedesktop.org/dist/
 XCB_UTIL_INSTALL_STAGING = YES
-XCB_UTIL_DEPENDENCIES = host-gperf
+XCB_UTIL_DEPENDENCIES = host-gperf libxcb
 
 $(eval $(autotools-package))